import React, { PureComponent } from 'react';
import { Tabs } from 'antd';
import style from "styled-components";

const store = require("store");

const { TabPane } = Tabs;
export default class StudentManagement extends PureComponent {
  constructor(props, context) {
    super(props, context);
    this.state = {
      //
    };
  }
  componentDidMount = () => {
    //sessionId
  }
  render() {
    return (
      <Container>
        <Tabs>
          <TabPane tab="资格证学员管理" key="1" />
        </Tabs>
        {store.get("studentManagementOtherURL") !== undefined ? (
          <div style={{ height: "inherit" }}>
            <iframe
              title="资格证学员管理"
              src={store.get("studentManagementOtherURL")["studentManagementOtherURL"]}
              width="100%"
              height="100%"
              frameBorder="0"
              allowFullScreen={true}
              allowtransparency="true">
              您的浏览器不支持iframe，请升级
          </iframe>
          </div>
        ) : ''
        }
      </Container>
    );
  }
}

const Container = style.div`
  padding:10px 24px 24px;
  width:100%;
  height:100%;
`;
